﻿@using System.Web
@{
    ViewData["Title"] = "Welcome";
    Layout = "_EmptyLayout";
    string lastAccessPage = ViewBag.LastAccessPage;
    bool IsInitialLogin = ViewBag.IsInitialLogin;
    int InvestmentVersion = ViewBag.InvestmentVersion == true ? 1 : 0;
    int RiskArcVersion = ViewBag.RiskArcVersion == true ? 1 : 0;
    var clientFirstName = ViewBag.ClientFirstName;
}
<input value="@InvestmentVersion" id="InvestmentVersion" type="hidden" />
<input value="@RiskArcVersion" id="RiskArcVersion" type="hidden" />
<div class="row no-gutters login login-2 login-signin-on bg-white" id="kt_login">
    <div class="col-sm-12 d-none d-lg-block d-xl-block d-xxl-block p-15" style="flex:64%;" id="message-board-message">
        @if (!string.IsNullOrEmpty(ViewBag.ClientBoardMessage))
        {
            <div id="box" class="position-relative p-10">
                <div class="corner top left top-left"></div>
                <div class="corner top right top-right"></div>
                <div class="">@Html.Raw(ViewBag.ClientBoardMessage)</div>
                <div class="corner bottom left bottom-left"></div>
                <div class="corner bottom right bottom-right"></div>
            </div>
        }
    </div>
    <div class="col-sm-12 d-flex flex-column" style="flex:36%;height: 100vh;overflow: scroll;" id="welcome-right-menu">
        <a href="account/logout" class="btn btn-sm btn-light-danger font-weight-bolder py-2 px-5" id="product-btn-sign-out">Sign Out <i class="icon-nm fas fa-sign-out-alt ml-1"></i></a>
        <div class="d-flex flex-row-fluid flex-column justify-content-between p-5">
            <div class="d-flex flex-column-fluid flex-column flex-center text-dark">
                <a href="javascript:;" class="mb-5 text-center">
                    <img src="~/images/logo.png" class="max-h-50px" alt="Logo" />
                </a>
                <div class="products-offer">
                    <div class="text-center mb-10 mb-lg-5 font-size-h3">
                        <p class="font-weight-bolder">Welcome @(!IsInitialLogin ? "back" : "") to LifeArcPlan.&nbsp; Financial success begins here.</p>
                        <p>@(!IsInitialLogin ? "Where would you like to start?" : "Let's get started.")</p>
                    </div>
                    <ul class="list-group list-group-flush font-size-h5" id="products-list">
                        @if (!string.IsNullOrEmpty(lastAccessPage))
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <img src="~/images/products/double-arrow.png" class="h-25px mr-1" />
                                <a asp-route="go-to-survey-last-action">Go to where I left off</a>
                            </li>
                        }
                        <li class="list-group-item bg-hover-light-primary">
                            <a href="/dashboard">
                                <span class="svg-icon menu-icon mr-2">
                                    <i class="icon-lg fas fa-tachometer-alt text-navi"></i>
                                </span>
                                <span class="menu-text font-weight-bold">Dashboard</span>
                            </a>
                        </li>
                        <li class="list-group-item bg-hover-light-primary">
                            <img src="~/images/products/my-adviser-planning.png" class="h-25px mr-1" />
                            <a asp-route="intro">My Adviser’s Planning Process</a>
                        </li>
                        <li class="list-group-item bg-hover-light-primary">
                            <img src="~/images/products/lap-survey.png" class="h-25px mr-1" />
                            <a asp-route="client-info">LifeArcPlan Survey</a>
                        </li>
                        @if (!IsInitialLogin)
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <img src="~/images/products/areas-of-planning.png" class="h-25px mr-1" />
                                <a href="javascript:" id="planning-area">Areas of Planning</a>
                            </li>
                        }
                        <li class="list-group-item bg-hover-light-primary">
                            <img src="~/images/products/arc-hive-document-vault.png" class="h-25px mr-1" />
                            <a asp-route="arc-hive">ArcHive Document Vault</a>
                        </li>
                        <li class="list-group-item bg-hover-light-primary">
                            <img src="~/images/products/tax-icon.png" class="h-25px mr-1" />
                            <a asp-route="tax-documents">Tax Prep Queue</a>
                        </li>
                        @if (!ViewBag.RiskArcVersion)
                        {
                            <li class="list-group-item bg-hover-light-primary risk-arc-link" data-version="0">
                                <img src="~/images/products/risk-arc-survey-express.png" class="h-25px mr-1" />
                                <a href="javascript:">RiskArc Survey</a>
                            </li>
                        }
                        <li class="list-group-item bg-hover-light-primary risk-arc-link" data-version="1">
                            <img src="~/images/products/risk-arc-survey-indepth.png" class="h-25px mr-1" />
                            <a href="javascript:">RiskArc Survey with Behavioral Finance Questionnaire</a>
                        </li>
                        <li class="list-group-item bg-hover-light-primary">
                            <i class="fas fa-clipboard-list text-navi icon-xl ml-1" style="margin-right: 9px;"></i>
                            <a href="/regulatory-documents" target="_blank">Regulatory Documents</a>
                        </li>
                        <li class="list-group-item bg-hover-light-primary">
                            <i class="fas fa-cog text-navi icon-lg ml-1" style="margin-right: 7px;"></i>
                            <a href="/settings">Settings</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="mt-auto" id="foot">
            <partial name="_Footer" />
        </div>
    </div>
</div>
<partial name="_InvestmentVersionModal" />
<partial name="_PlanningItemsModal" />
<div class="modal" id="RiskArcBasicModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<style>
    #product-btn-sign-out {
        right: 20px;
        top: 15px;
        position: absolute;
    }

    #message-board-message > * {
        color: #fff !important;
    }

    #box > div.corner {
        display: block;
        position: absolute;
        width: 35px;
        height: 35px;
        color: #3c9fd5;
    }

    #products-list a {
        color: #3ba2d9 !important;
        font-weight: 500;
    }

    .top {
        top: 0px;
        border-top-style: solid;
    }

    .bottom {
        bottom: 0px;
        border-bottom-style: solid;
    }

    .left {
        left: 0px;
        border-left-style: solid;
    }

    .right {
        right: 0px;
        border-right-style: solid;
    }

    .top-left {
        border-top-left-radius: 10px;
    }

    .top-right {
        border-top-right-radius: 10px;
    }

    .bottom-left {
        border-bottom-left-radius: 10px;
    }

    .bottom-right {
        border-bottom-right-radius: 10px;
    }

    #message-board-message::-webkit-scrollbar,
    #welcome-right-menu::-webkit-scrollbar {
        width: 5px !important;
    }

    #message-board-message::-webkit-scrollbar-corner {
        background: #23588d !important;
    }
</style>
@section scripts{
    <script>
        $("#planning-area").click(function (e) {
            e.preventDefault();
            $('#planningModal').modal({
                backdrop: 'static', keyboard: false
            });
            $("select.form-control").selectpicker();
        });

        $(".is-active,.inactive").change(function () {
            $(".alert").remove();
            var tr = $(this).closest("tr");
            if ($(this).is(":checked")) {
                tr.find(".importance").removeClass("d-none");
                tr.find(".dash").addClass("d-none");
            }
            else {
                tr.find(".importance").addClass("d-none");
                tr.find(".dash").removeClass("d-none");
            }
            var checkedCount = $('.is-active').filter(':checked').length;
            if (checkedCount > 0)
                $("#planningModal .close").removeClass("d-none");
            else
                $("#planningModal .close").addClass("d-none");
        });

        $("#frm-planning-items").submit(function (e) {
            e.preventDefault();
            var cur = this;
            var checkedCount = $('.is-active').filter(':checked').length;
            if (checkedCount > 0) {
                var id = $(cur).find(":submit").attr('id');
                var btn = KTUtil.getById(id);
                KTUtil.btnWait(btn, "spinner spinner-right spinner-white pr-15", "Please wait");
                _hideErrorMessage();
                $.post("home/saveplanningitems", $(cur).serialize(), function (response) {
                    var modalId = $('.modal:visible').attr("id");
                    $(`#${modalId}`).modal('hide');
                    localStorage.setItem("planningModal", true);
                    var firstPlanningAction = $(".planning-table tbody tr td .switch .is-active[type='checkbox']:checked:first").attr("data-action");
                    if (!firstPlanningAction.includes("investment"))
                        window.location.href = firstPlanningAction;
                    else {
                        var isInDepth = $(`#InvestmentVersion`).val();
                        $(`input[name='InvestmentVersion'][value=${isInDepth}]`).prop('checked', true);
                        $(`#InvestmentVersionModal`).modal({ backdrop: 'static' });
                        localStorage.setItem("last-action", window.location.pathname);
                    }
                });
            }
            else
                _showFormMessage("frm-planning-items", "danger", "Please select at least one areas of planning except Social Security & Tax Planning.", "fas fa-exclamation-triangle");
        });

        $(document).on('click', "#InvestmentVersionModal #btn_submit_investment", function (e) {
            e.preventDefault();
            var isInDepth = $("input[name='InvestmentVersion']:checked").val() == "1";
            updatesinglevalue("ClientData", "InvestmentVersion", isInDepth);
            $('#InvestmentVersionModal').modal("hide");
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            var action = isInDepth ? "investment-planning-intro" : "investment-planning-express";
            window.location.href = action;
        });

        $(`[name="InvestmentVersion"]`).change(function (e) {
            var isInDepthVersion = $(e.target).val();
            if (isInDepthVersion == 1) {
                var msg = "You will not be allowed to revert back to Express Version.";
                _showFormMessage(`InvestmentVersionModalFrm`, "warning", msg, "fas fa-exclamation-triangle")
            }
            else
                $(".alert").remove();
        });

        $(".risk-arc-link a").click(function (e) {
            loadPartialView(`home/riskarcbasicdetail`, "RiskArcBasicModal", null, function () {
                $('.input-group.datepicker-control').datepicker({
                    orientation: "bottom left",
                    autoclose: true,
                    todayHighlight: true,
                    format: 'mm/dd/yyyy',
                    startDate: '-100y',
                    endDate: '+100y'
                });
            });
            var version = $(e.target).closest(".risk-arc-link").attr("data-version");
            $("#RiskArcVersion").val(version);
            $("#RiskArcBasicModal").modal({ backdrop: 'static' });
        });

        var onFormCompleteWithRedirectRiskArc = function (response) {
            $(".alert").remove();
            var frm_id = $(this).attr('id');
            var responseObj = JSON.parse(response.responseText);
            if (responseObj.success == false)
                _showFormMessage(frm_id, "danger", responseObj.message, "fas fa-exclamation-triangle");
            else {
                var riskArcVersion = $("#RiskArcVersion").val();
                var modalId = $('.modal:visible').attr("id");
                $(`#${modalId}`).modal('hide');
                var url = riskArcVersion == 0 ? `${responseObj.redirectUrl}-express` : `${responseObj.redirectUrl}-indepth`
                window.location.href = url;
            };
        };
        $("#message-board-message a").each(function (i, item) {
            var href = $(this).attr("href");
            if (isValidURL(href))
                $(this).attr('target', '_blank');
            if (!isValidURL(href))
                $(this).attr("href", `javascript:`);
            else if (!href.includes("http"))
                $(this).attr("href", `http://${href}`);
        });
    </script>
}